## uapevent 1.4

=== Makefile ===
# File : uapevent/Makefile
#
# Copyright (C) 2008, Marvell International Ltd.
# All Rights Reserved
 
# Path to the top directory of the wlan distribution
PATH_TO_TOP = ../..

# Determine how we should copy things to the install directory
ABSPATH := $(filter /%, $(INSTALLDIR))
RELPATH := $(filter-out /%, $(INSTALLDIR))
INSTALLPATH := $(ABSPATH)
ifeq ($(strip $(INSTALLPATH)),)
INSTALLPATH := $(PATH_TO_TOP)/$(RELPATH)
endif

# Override CFLAGS for application sources, remove __ kernel namespace defines
CFLAGS := $(filter-out -D__%, $(EXTRA_CFLAGS))


#CFLAGS += -DAP22 -fshort-enums
CFLAGS += -Wall
#ECHO = @
LIBS = -lrt

.PHONY: default tags all

OBJECTS = uapevent.o
HEADERS = uapevent.h

TARGET = uapevent

build default: $(TARGET)
	@cp -f $(TARGET) $(INSTALLPATH)

all : tags default

$(TARGET): $(OBJECTS) $(HEADERS)
	$(ECHO)$(CC) $(LIBS) -o $@ $(OBJECTS)

%.o: %.c $(HEADERS)
	$(ECHO)$(CC) $(CFLAGS) -c -o $@ $<

tags:
	ctags -R -f tags.txt

clean:
	$(ECHO)$(RM) $(OBJECTS) $(TARGET)
	$(ECHO)$(RM) tags.txt

=== debian/changelog ===
uapevent (1.4-3) unstable; urgency=low

  * update Debian standards and debhelper versions
  * move packaging repo to salsa.debian.org

 -- Bdale Garbee <bdale@gag.com>  Sat, 04 Jan 2025 13:50:04 -0700

uapevent (1.4-2) unstable; urgency=low

  * avoid errant use of ../.. by overriding dh_auto_build, closes: #648852

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Nov 2011 14:30:11 -0700

uapevent (1.4-1) unstable; urgency=low

  * Initial packaging

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Jul 2011 16:52:51 +0200

=== debian/control ===
Source: uapevent
Section: net
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 13.0.0)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/uapevent.git
Vcs-Browser: https://salsa.debian.org/debian/uapevent

Package: uapevent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: event monitoring tool for Marvell uAP wireless driver
 A small utility for receiving and interpreting event notifications from 
 the Marvell uAP wireless driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	install -d $(CURDIR)/debian/uapevent
	INSTALLDIR=$(CURDIR)/debian/uapevent dh_auto_build

%:
	dh $@
